Subject: Re: bug#74496: 30.0.91; fullscreen frame set with F11 is shifted when ctwm restarts

From: Van Ly <[email-masked]>
Date: Mon, 02 Dec 2024 16:04:51 +0000

martin rudalics <[email-masked]> writes:

>  > Meanwhile, some more observations.  Inside xterm or uxterm the keychord
>  > `fn RET' or `meta RET' will fullscreen and persist across CTWM restart.
>
> What does `fn RET' do in an Emacs window?  Or in any other window but
> the terminal windows you cite above?

`meta RET' will fullscreen the xterm.

`fn RET' will run overwrite-mode, I mislabelled the left hand keychord
which is also `meta RET'.

>  > Now unrelated to CTWM restart, the following is observed when zooming.
>
> What is zooming?  Just maximizing the window or more?

Yes, zooming maximizes fullboth, vertical or horizontal dimensions.

>  > Using the `Window' context menu zoom from CTWM on xterm or uxterm
>  > choosing any of the options `Zoom, Zoom-V, Zoom-H' leaves a
>  >
>  >   - gap at the right and bottom edge for `Zoom',
>  >   - gap at bottom edge for `Zoom-V' and
>  >   - gap at the right edge for `Zoom-H'.
>  >
>  > The above suggests CTWM has issues calculating the height and width
>  > dimensions for fullscreen on u/xterm.
>
> Usually, terminal windows cannot be really maximized.  They want the
> window height be a multiple of their font height + line spacing.
>
>  > Also, from a normal 80x24 u/xterm, when I `Window, Zoom' that results in
>  > the gap at right and bottom edge, then when I keychord `meta RET' the
>  > first time, I get the borderless fullscreen, keychord the second time
>  > and u/xterm returns to a normal 80x24 dimension.
>
> I doubt that a fullscreen terminal can display half a line at the
> bottom.  So your borderless fullscreen is likely an artefact.

This is how emacsclient looks inside a borderless fullscreen xterm.

    http://sdf.org/~van.ly/img/emacs-30-0-91-inside-fullscreen-xterm.webp

The minibuffer area looks stretched more than one line.

-- 
vl